Query all Runner Groups under a specified organization
GET/api/v8/orgs/:org/actions/runner-groups
Request
Path Parameters
org stringrequired
Organization path
Query Parameters
access_token stringrequired
keyword string
Keyword Filter
page integer
Current page number
Example: 1
per_page integer
Number of items per page
Example: 10
Responses
- 200
Response Headers
- application/json
- Schema
- Example (auto)
Schema
- Array [
- ]
total_countinteger
Runner Group Total
runner_groups object[]
Runner Group List
idstring
Runner Group ID
namestring
Name
runner_group_namestring
Runner Group Name
namespace_idstring
Namespace ID
creatorstring
Creator
create_timeinteger
creation time
runner_countinteger
Number of Runners
namespace_typestring
Namespace Type
share_allboolean
Do you want to share with all repositories
{
"total_count": 0,
"runner_groups": [
{
"id": "string",
"name": "string",
"runner_group_name": "string",
"namespace_id": "string",
"creator": "string",
"create_time": 0,
"runner_count": 0,
"namespace_type": "string",
"share_all": true
}
]
}